Package org.opencv.core

## Class MatOfPoint3f

- java.lang.Object
- - org.opencv.core.Mat
  - - org.opencv.core.MatOfPoint3f

-     public class MatOfPoint3f
      extends Mat

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Mat

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `MatOfPoint3f()` |
    `protected` | `MatOfPoint3f​(long addr)` |
    `` | `MatOfPoint3f​(Mat m)` |
    `` | `MatOfPoint3f​(Point3... a)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `alloc​(int elemNumber)` |
    `void` | `fromArray​(Point3... a)` |
    `void` | `fromList​(java.util.List<Point3> lp)` |
    `static MatOfPoint3f` | `fromNativeAddr​(long addr)` |
    `Point3[]` | `toArray()` |
    `java.util.List<Point3>` | `toList()` |

    - ### Methods inherited from class org.opencv.core.Mat

      `adjustROI, assignTo, assignTo, channels, checkVector, checkVector, checkVector, clone, col, colRange, colRange, cols, convertTo, convertTo, convertTo, copySize, copyTo, copyTo, create, create, create, cross, dataAddr, depth, diag, diag, diag, dims, dot, dump, elemSize, elemSize1, empty, eye, eye, finalize, get, get, get, get, get, get, get, get, get, get, get, get, getNativeObjAddr, height, inv, inv, isContinuous, isSubmatrix, locateROI, mul, mul, ones, ones, ones, push_back, put, put, put, put, put, put, put, put, put, put, put, put, release, reshape, reshape, reshape, row, rowRange, rowRange, rows, setTo, setTo, setTo, setTo, size, size, step1, step1, submat, submat, submat, submat, t, toString, total, type, width, zeros, zeros, zeros`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MatOfPoint3f

          public MatOfPoint3f()

    - #### MatOfPoint3f

          protected MatOfPoint3f​(long addr)

    - #### MatOfPoint3f

          public MatOfPoint3f​(Mat m)

    - #### MatOfPoint3f

          public MatOfPoint3f​(Point3... a)

  - ### Method Detail

    - #### fromNativeAddr

          public static MatOfPoint3f fromNativeAddr​(long addr)

    - #### alloc

          public void alloc​(int elemNumber)

    - #### fromArray

          public void fromArray​(Point3... a)

    - #### toArray

          public Point3[] toArray()

    - #### fromList

          public void fromList​(java.util.List<Point3> lp)

    - #### toList

          public java.util.List<Point3> toList()